Loading...
Searching...
No Matches
pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 > Class Reference
Module visualization

Handler for random PointCloud colors (i.e., R, G, B will be randomly chosen) More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >:

## Public Types

using | Ptr = shared_ptr< PointCloudColorHandlerRandom< PointCloud > >
using | ConstPtr = shared_ptr< const PointCloudColorHandlerRandom< PointCloud > >
Public Types inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
using | PointCloud = pcl::PCLPointCloud2
using | PointCloudPtr = PointCloud::Ptr
using | PointCloudConstPtr = PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudColorHandler< PointCloud > >
using | ConstPtr = shared_ptr< const PointCloudColorHandler< PointCloud > >

## Public Member Functions

| PointCloudColorHandlerRandom (const PointCloudConstPtr &cloud)
| Constructor.
virtual std::string | getName () const
| Get the name of the class.
virtual std::string | getFieldName () const
| Get the name of the field used.
vtkSmartPointer< vtkDataArray > | getColor () const override
| Obtain the actual color for the input dataset as a VTK data array.
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor.
virtual | ~PointCloudColorHandler ()=default
| Destructor.
bool | isCapable () const
| Return whether this handler is capable of handling the input data or not.
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used.

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
PointCloudConstPtr | cloud_
| A pointer to the input dataset.
bool | capable_
| True if this handler is capable of handling the input data, false otherwise.
int | field_idx_
| The index of the field holding the data that represents the color.

## Detailed Description

Handler for random PointCloud colors (i.e., R, G, B will be randomly chosen)

Author
  Radu B. Rusu

Definition at line 592 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

## ConstPtr

using pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >::ConstPtr = shared_ptr<const PointCloudColorHandlerRandom<PointCloud> >

Definition at line 600 of file point_cloud_color_handlers.h.

## Ptr

using pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >::Ptr = shared_ptr<PointCloudColorHandlerRandom<PointCloud> >

Definition at line 599 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

## PointCloudColorHandlerRandom()

pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >::PointCloudColorHandlerRandom | ( | const PointCloudConstPtr & | cloud | ) |

inline

Constructor.

Definition at line 603 of file point_cloud_color_handlers.h.

## Member Function Documentation

## getColor()

vtkSmartPointer< vtkDataArray > pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >::getColor | ( |  | ) | const

override virtual

Obtain the actual color for the input dataset as a VTK data array.

Deriving handlers should override this method. The default implementation is provided only for backwards compatibility with handlers that were written before PCL 1.10.0 and will be removed in future.

Returns
  smart pointer to VTK array if the operation was successful (the handler is capable and the input cloud was given), a null pointer otherwise

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

## getFieldName()

virtual std::string pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

Definition at line 615 of file point_cloud_color_handlers.h.

## getName()

virtual std::string pcl::visualization::PointCloudColorHandlerRandom< pcl::PCLPointCloud2 >::getName | ( |  | ) | const

inline virtual

Get the name of the class.

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

Definition at line 611 of file point_cloud_color_handlers.h.

The documentation for this class was generated from the following file:

- pcl/visualization/point_cloud_color_handlers.h